Package org.eclipse.net4j.util.om.trace

## Class RemoteTraceServer.PrintListener

- java.lang.Object
- - org.eclipse.net4j.util.om.trace.RemoteTraceServer.PrintListener

- All Implemented Interfaces:
    `RemoteTraceServer.Listener`
  Enclosing class:
    RemoteTraceServer

      public static class RemoteTraceServer.PrintListener
      extends java.lang.Object
      implements RemoteTraceServer.Listener

  A `listener` that appends `trace events` to a `print stream`.
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static RemoteTraceServer.PrintListener` | `CONSOLE` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `PrintListener()` |
    `` | `PrintListener​(java.io.PrintStream stream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.PrintStream` | `getStream()` |
    `void` | `notifyRemoteTrace​(RemoteTraceServer.Event event)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSOLE

          public static final RemoteTraceServer.PrintListener CONSOLE

  - ### Constructor Detail

    - #### PrintListener

          public PrintListener​(java.io.PrintStream stream)

    - #### PrintListener

          protected PrintListener()

  - ### Method Detail

    - #### getStream

          public java.io.PrintStream getStream()

      Since:
        3.2

    - #### notifyRemoteTrace

          public void notifyRemoteTrace​(RemoteTraceServer.Event event)

      Specified by:
        `notifyRemoteTrace` in interface `RemoteTraceServer.Listener`